Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGTestsSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGTestsSupport

    public class SVGTestsSupport

extends Object

This class provides support for SVGTests features.

Constructor Summary
`SVGTestsSupport()` Creates a new SVGTestsSupport object.

Method Summary
`static org.w3c.dom.svg.SVGStringList` | `getRequiredExtensions(Element elt)` To implements `SVGTests.getRequiredExtensions()`.
`static org.w3c.dom.svg.SVGStringList` | `getRequiredFeatures(Element elt)` To implements `SVGTests.getRequiredFeatures()`.
`static org.w3c.dom.svg.SVGStringList` | `getSystemLanguage(Element elt)` To implements `SVGTests.getSystemLanguage()`.
`static boolean` | `hasExtension(Element elt, String extension)` To implements `SVGTests.hasExtension(String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTestsSupport

    public SVGTestsSupport()

  Creates a new SVGTestsSupport object.

Method Detail

### getRequiredFeatures

    public static org.w3c.dom.svg.SVGStringList getRequiredFeatures(Element elt)

  To implements `SVGTests.getRequiredFeatures()`.

### getRequiredExtensions

    public static org.w3c.dom.svg.SVGStringList getRequiredExtensions(Element elt)

  To implements `SVGTests.getRequiredExtensions()`.

### getSystemLanguage

    public static org.w3c.dom.svg.SVGStringList getSystemLanguage(Element elt)

  To implements `SVGTests.getSystemLanguage()`.

### hasExtension

    public static boolean hasExtension(Element elt,
                                       String extension)

  To implements `SVGTests.hasExtension(String)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.